Skip to main content

Get customer loyalty

GET /v1/public/customers/{id}/loyalty

Returns a consolidated customer view containing customer loyalty cards, customer rewards, and customer vouchers.

Authorization

X-API-Key required with the customers:read scope

Parameters

NameLocationTypeRequiredDescription
idpathstringYesThe resource's returned id or externalId.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/customers/66c735e253f2836fbe941234/loyalty" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Customer loyalty state retrieved.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": {
"customer": {
"id": "66c735e253f2836fbe941235",
"name": "Alex Morgan",
"email": "alex@example.com"
},
"cards": [],
"rewards": [],
"vouchers": []
}
}